package GUIAnwendungen;
import javax.swing.JFileChooser;

public class FileChooser {

	  public static void main(String[] args) {
		  
	        // chooser إسمه JColorChooser هنا قمنا بإنشاء كائن من الكلاس
	        JFileChooser chooser = new JFileChooser();
	 
	        // كنافذة لإختيار ملف في وسط شاشة المستخدم chooser هنا قمنا بإظهار الكائن
	        // returnedValue و تخزين القيمة التي سيرجعها عندما يتم إغلاقه في المتغير
	        int returnedValue = chooser.showOpenDialog(null);
	 
	        if(returnedValue == JFileChooser.APPROVE_OPTION)
	        {
	            // هنا من المفترض أن تضع الأوامر التي سيتم تنفيذها بعد إختيار الملف أو المجلد
	        }
	 
	    }

}
